%define upstream_name    Linux-Clone
%define upstream_version 1.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    An interface to the linux clone(2) and unshare(2) syscalls
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module exposes the linux clone(2) and unshare(2) syscalls to Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Linux/Clone*
%{perl_vendorarch}/auto/Linux/Clone*
%{_mandir}/*/*


%changelog
* Tue Nov 28 2023 tv <tv> 1.0.0-13.mga10
+ Revision: 2010954
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.0.0-12.mga9
+ Revision: 1862058
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.0.0-11.mga9
+ Revision: 1795850
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.0.0-10.mga9
+ Revision: 1726833
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.0.0-9.mga8
+ Revision: 1594836
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-8.mga8
+ Revision: 1529700
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.0.0-7.mga8
+ Revision: 1433807
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-6.mga7
+ Revision: 1293320
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.0.0-5.mga7
+ Revision: 1249509
- Rebuild for perl 5.28

* Wed Aug 08 2018 pterjan <pterjan> 1.0.0-4.mga7
+ Revision: 1249131
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.0.0-3.mga7
+ Revision: 1165203
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.0.0-2.mga7
+ Revision: 1149024
- Rebuild for perl ABI changes

* Fri Aug 18 2017 sander85 <sander85> 1.0.0-1.mga7
+ Revision: 1141484
- update to 1.0

* Sat Jul 22 2017 neoclust <neoclust> 0.10.0-8.mga7
+ Revision: 1127339
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1029162
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 957621
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.10.0-5.mga6
+ Revision: 842721
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 750999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 685224
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.10.0-2.mga5
+ Revision: 631371
- Rebuild for perl 5.20

* Tue May 06 2014 pterjan <pterjan> 0.10.0-1.mga5
+ Revision: 620907
- imported package perl-Linux-Clone

